#include <FileConstants.au3>
#include <MsgBoxConstants.au3>
#include <GUIConstantsEx.au3>
#include <File.au3>
#include <string.au3>
#include <WinAPIFiles.au3>
#include <ColorConstants.au3>
#include <FontConstants.au3>
#include <Misc.au3>

Func Example()

;XXXXXXXXXXXXXXXXXXXXXXXXXXX        Schriftarten          XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
$sFont1 = "Comic Sans Ms"
$sFont2 = "Comic Sans Ms"
$sFont3 = "Comic Sans Ms"
$sFont4 = "Comic Sans Ms"
$sFont5 = "Comic Sans Ms"

;XXXXXXXXXXXXXXXXXXXXXXXXXXX        Name der Dateien          XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
$file1 = FileOpen("data1.txt", 0)
$file2 = FileOpen("data2.txt", 0)
$file3 = FileOpen("data3.txt", 0)
$file4 = FileOpen("data4.txt", 0)
$file5 = FileOpen("data5.txt", 0)

$line1 = FileReadLine($file1)
$line2 = FileReadLine($file2)
$line3 = FileReadLine($file3)
$line4 = FileReadLine($file4)
$line5 = FileReadLine($file5)

; GUI
GUICreate("Alarm, Alarm ", @DesktopWidth, @DesktopHeight)
Opt("GUICoordMode", 2)

$idLabel1 = GUICtrlCreateLabel($line1, 1, 10, 2000, 200)
$idLabel2 = GUICtrlCreateLabel($line2, -1, 0, 2000, 200)
$idLabel3 = GUICtrlCreateLabel($line3, -1, 10, 2000, 200)
$idLabel4 = GUICtrlCreateLabel($line4, -1, 10, 1000, 200)
$idLabel5 = GUICtrlCreateLabel($line5, 1, -1, 1000, 200)


;    $FW_DONTCARE = 0 (Standard Schriftstärke wird verwendet)
;    $FW_THIN = 100
;    $FW_EXTRALIGHT = 200
;    $FW_LIGHT = 300
;    $FW_NORMAL = 400
;   $FW_MEDIUM = 500
;    $FW_SEMIBOLD = 600
;    $FW_BOLD = 700
;   $FW_EXTRABOLD = 800
;    $FW_HEAVY = 900

;$GUI_FONTNORMAL (0) = Normal / Standard
;$GUI_FONTITALIC (2) = Italic / Kursiv
;$GUI_FONTUNDER (4) = Unterstrichen
;$GUI_FONTSTRIKE (8) = Durchgestrichen

;XXXXXXXXXXXXXXXXXXXXXXXXXXX        Schriftstärke und Formatierung         XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
GUICtrlSetFont($idLabel1, 60, $FW_dontcare,  $GUI_FONTNORMAL, $sFont1)
GUICtrlSetFont($idLabel2, 100, $FW_BOLD,  $GUI_FONTNORMAL, $sFont2)
GUICtrlSetFont($idLabel3, 60, $FW_dontcare,  $GUI_FONTNORMAL, $sFont3)
GUICtrlSetFont($idLabel4, 60, $FW_BOLD,  $GUI_FONTNORMAL, $sFont4)
GUICtrlSetFont($idLabel5, 60, $FW_BOLD,  $GUI_FONTNORMAL, $sFont5)


;XXXXXXXXXXXXXXXXXXXXXXXXXXX        Schriftfarbe         XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
GUICtrlSetColor($idLabel1, $COLOR_BLACK)
GUICtrlSetColor($idLabel2, $COLOR_BLACK)
GUICtrlSetColor($idLabel3, $COLOR_green)
GUICtrlSetColor($idLabel4, $COLOR_RED)
GUICtrlSetColor($idLabel5, $COLOR_RED)

GUISetState()

FileClose($file1)
FileClose($file2)
FileClose($file3)
FileClose($file4)
FileClose($file5)

;XXXXXXXXXXXXXXXXXXXXXXXXXXX        Zeitangabe, in welchem Intervall die Ansicht erneuert werden soll  10 Sekunden = 10000 ; 2 Sekunden = 2000       XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
sleep(10000)
Run( FileGetShortName(@AutoItExe) & " " & FileGetShortName(@ScriptDir))
Exit

EndFunc


While 1
Example()
WEnd